Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.management
Interface WorklistSystemRuntimeMBean

    public interface WorklistSystemRuntimeMBean

Represents an instance of the Worklist System runtime on a managed server.

Method Summary
`String[]` | `getVisibleTaskPlanHostApplicationNames()`
`void` | `purgeTasks()` Perform a one-time run of the purge process on this server.
`void` | `reassignWorkInTasks(String oldUserId, String newUserId)`
`void` | `startAutomaticPurgeProcess(long seconds)` Designates the Worklist runtime for the associated WorklistSystem instance to run on this server at the indicated interval (in seconds).
`void` | `stopAutomaticPurgeProcess()` Stop the automatic purge process on this server.

Method Detail

### getVisibleTaskPlanHostApplicationNames

    String[] getVisibleTaskPlanHostApplicationNames()
                                                    throws ManagementException

  Throws:
    `ManagementException`

### reassignWorkInTasks

    void reassignWorkInTasks(String oldUserId,
                             String newUserId)
                             throws ManagementException

  Throws:
    `ManagementException`

### startAutomaticPurgeProcess

    void startAutomaticPurgeProcess(long seconds)
                                    throws ManagementException

  Designates the Worklist runtime for the associated WorklistSystem instance to run on this server at the indicated interval (in seconds). Subsequent calls to this method can be made to update in the interval at which the purge process runs.

  Parameters:
    `seconds` - The number of seconds to wait between runs of the purge process.
  Throws:
    `ManagementException`

### stopAutomaticPurgeProcess

    void stopAutomaticPurgeProcess()
                                   throws ManagementException

  Stop the automatic purge process on this server.

  Throws:
    `ManagementException`

### purgeTasks

    void purgeTasks()
                    throws ManagementException

  Perform a one-time run of the purge process on this server.

  Throws:
    `ManagementException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD